<%@ page import="com.technia.tvc.core.db.domain.DomainObject" %>
<%@ page import="com.technia.tvc.core.db.aef.AEFUtils" %>
<%@ page import="matrix.db.Context" %>
<%@ page import="com.technia.tvc.core.db.transaction.TxAction" %>
<%@ page import="com.technia.tvc.core.db.transaction.TxManager" %>

<html>
	<head>
	<%
	String s_plm_ExternalID = null;
	String revision = null;
	String typeName = null;
	
	try
	{
		Context context = AEFUtils.getContext(session); 
		final String objectId = request.getParameter("objectId");
		String busInfo = TxManager.doAlloc(AEFUtils.getContext(session), 
		new TxAction<String>() {
			@Override
					public String run() throws Exception {
					DomainObject bus = new DomainObject(objectId);
					String extID = bus.getAttributeValue("PLMEntity.PLM_ExternalID");
					String rev = bus.getRevision();
					String type = bus.getType();
					return type+"|"+rev+"|"+extID;
					}
				});
		String[]tokens = busInfo.split("\\|");
		typeName = tokens[0];
		revision = tokens[1];
		s_plm_ExternalID = tokens[2];
	}
	catch (Exception ex)
	{
		System.out.println("Errorr!!! : "+ex.getMessage());
		ex.printStackTrace();
	}
	
	%>

	<title>Open in CATIA V6</title>

	<script type="text/javascript">
				function openInCV6(typeName, plmExtId, vVersion) {
					if ("ActiveXObject" in window) {
						var catiaObj = new ActiveXObject("CATIA.Application");
						
						//show catia
						catiaObj.visible=true;
						
						// Search for object
						var oSearchService = catiaObj.GetSessionService("PLMSearch");
						var oPLMSearches = oSearchService.Searches;
						var oPLMSearch = oPLMSearches.Add();
						oPLMSearch.Type  = typeName;
						oPLMSearch.AddAttributeCriteria("PLM_ExternalID",  plmExtId);
						oPLMSearch.AddAttributeCriteria("revision",  vVersion);
						
						oPLMSearch.search();
						
						// Open object in turntable view
						var o3DShapeAsPLMEntities = oPLMSearch.EditedContent;
						var o3DShapeAsPLMEntity = o3DShapeAsPLMEntities.Item(1);
						var oSelection = catiaObj.ActiveEditor.Selection
						oSelection.Add(o3DShapeAsPLMEntity);
						catiaObj.StartCommand("open");
					} else {
						alert ("This action works only in Interner Explorer web browser!");
					}
				}
		</script>

	</head>


	<body>
	   <script type="text/javascript">openInCV6('<%=typeName%>', '<%=s_plm_ExternalID%>', '<%=revision%>');</script>
	</body>

</html>
